﻿@model IEnumerable<eCommerce.Services.Model.Stock>

<table class="table table-hover dataTable table-striped" id="StockTable">
    <thead>
        <tr>
            <th class="text-center col-sm-1">Talle</th>
            <th class="text-center col-sm-1">Color</th>
            <th class="text-center col-sm-1">Precio</th>
            <th class="text-center col-sm-1">Stock Disponible</th>
            <th class="text-center col-sm-1">Stock Físico</th>
        </tr>
    </thead>
    <tbody>
        @{ 
            var row = 0;
        }

        @foreach (var item in Model.OrderBy(x => x.Size.DisplayOrder))
        {
            
        <tr class="js-stock-row" data-sizeid="@item.SizeId" data-colorid="@item.ColorId" data-order="@item.Size.DisplayOrder">
            <td class="text-center">@Html.DisplayFor(modelItem => item.Size.Description)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.Color.Description)</td>
            <td class="text-center">
                <input type="text" class="form-control text-right stock-input" name="price-" value="@item.Price" />
            </td>
            <td class="text-center js-available-quantity">@Html.DisplayFor(modelItem => item.StockVirtual)</td>

            <td class="text-center">
                <input type="number" class="form-control text-right stock-input js-stock-real" name="stock-@item.SizeId-@item.ColorId-@row" value="@item.StockReal" />
                <span class="remove" onclick="RemoveRow(this)"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
            </td>
        </tr>
        }
    </tbody>
</table>